/*
 * Copyright 2008-2011 Femke Ongenae, Stijn Verstichel
 * distributed under the terms of the AGPL License
 * 
 * This file is part of OTAGen.
 * 
 * OTAGen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Femke Ongenae & Stijn Verstichel
 * Ghent University - INTEC - IBCN
 * Zuiderpoort Block C0 bus 201
 * Gaston Crommenlaan 8
 * B-9050 Ghent
 * Belgium
 * E-mail: Femke.Ongenae@intec.ugent.be
 * E-mail: Stijn.Verstichel@intec.ugent.be
 * 
 */
package otagen;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 *
 * @author Femke Ongenae.
 * @author Stijn Verstichel.
 */
public class TimingsParser {

    public static void main(String[] args) throws FileNotFoundException, IOException {
        FileInputStream fstream = new FileInputStream("timing.txt");
        DataInputStream in = new DataInputStream(fstream);
        BufferedReader br = new BufferedReader(new InputStreamReader(in));
        String strLine;
        //Read File Line By Line
        String ontology = null;
        String iteration = null;
        String total = null;
        String loading = null;
        String validation = null;
        String consistency = null;
        String classification = null;
        String realization = null;
        while ((strLine = br.readLine()) != null) {
            // Print the content on the console
            if (strLine.startsWith("doing")) {
                ontology = strLine.substring(5,7);
                iteration = strLine.substring(20);
            } else if (strLine.startsWith("Time: ")) {
                int startindex = 6;
                int endindex = strLine.indexOf("ms");
                total = strLine.substring(startindex, endindex);
                startindex = strLine.indexOf("Loading:");
                endindex = startindex+8;
                loading = strLine.substring(startindex, endindex);
                startindex = strLine.indexOf("Validation:");
                endindex = startindex+11;
                validation = strLine.substring(startindex, endindex);
                startindex = strLine.indexOf("Consistency:");
                endindex = startindex+12;
                consistency = strLine.substring(startindex, endindex);
                startindex = strLine.indexOf("Classification:");
                endindex = startindex+15;
                classification = strLine.substring(startindex, endindex);
                startindex = strLine.indexOf("Realization:");
                endindex = startindex+12;
                realization = strLine.substring(startindex, endindex);
            } else if (strLine.startsWith("done")) {
                System.out.println(ontology+","+iteration+","+total+","+loading+"."+validation+","+consistency+","+classification+","+realization);
            }
        }
    }
}
