/*
 * Copyright 2008-2011 Femke Ongenae, Stijn Verstichel
 * distributed under the terms of the AGPL License
 * 
 * This file is part of OTAGen.
 * 
 * OTAGen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Femke Ongenae & Stijn Verstichel
 * Ghent University - INTEC - IBCN
 * Zuiderpoort Block C0 bus 201
 * Gaston Crommenlaan 8
 * B-9050 Ghent
 * Belgium
 * E-mail: Femke.Ongenae@intec.ugent.be
 * E-mail: Stijn.Verstichel@intec.ugent.be
 * 
 */

package otagen.datatypes;

import com.hp.hpl.jena.ontology.OntClass;
import java.util.HashMap;
import java.util.Map;

/**
 * Datatype containing information about the generated individuals for
 * the concepts in the OntModel
 * 
 * @author Femke Ongenae.
 * @author Stijn Verstichel.
 */
public class IndividualCount {
    
    private Map<OntClass, Integer> generatedIndividuals = null;
    
    public IndividualCount() {
        generatedIndividuals = new HashMap<OntClass, Integer>();
    }

    public Map<OntClass, Integer> getGeneratedIndividuals() {
        return generatedIndividuals;
    }

    public void setGeneratedIndividuals(Map<OntClass, Integer> generatedIndividuals) {
        this.generatedIndividuals = generatedIndividuals;
    }
}
