/*
 * Copyright 2008-2011 Femke Ongenae, Stijn Verstichel
 * distributed under the terms of the AGPL License
 * 
 * This file is part of OTAGen.
 * 
 * OTAGen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Femke Ongenae & Stijn Verstichel
 * Ghent University - INTEC - IBCN
 * Zuiderpoort Block C0 bus 201
 * Gaston Crommenlaan 8
 * B-9050 Ghent
 * Belgium
 * E-mail: Femke.Ongenae@intec.ugent.be
 * E-mail: Stijn.Verstichel@intec.ugent.be
 * 
 */
package otagen.datatypes;

import com.hp.hpl.jena.ontology.OntResource;
import java.io.Serializable;
import java.util.Comparator;

/**
 *
 * @author Femke Ongenae.
 * @author Stijn Verstichel.
 */
public class OntResourceComparator implements Comparator, Serializable {

    public int compare(Object o1, Object o2) {
        if (((OntResource)o1).getURI() == null && ((OntResource)o2).getURI() != null)
            return -1;
        if (((OntResource)o1).getURI() != null && ((OntResource)o2).getURI() == null)
            return 1;
        if (((OntResource)o1).getURI() == null && ((OntResource)o2).getURI() == null)
            return ((OntResource) o1).toString().compareTo(((OntResource) o2).toString());
        
        return ((OntResource) o1).getURI().compareTo(((OntResource) o2).getURI());
    }
}
