/*
 * Copyright 2008-2011 Femke Ongenae, Stijn Verstichel
 * distributed under the terms of the AGPL License
 * 
 * This file is part of OTAGen.
 * 
 * OTAGen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Femke Ongenae & Stijn Verstichel
 * Ghent University - INTEC - IBCN
 * Zuiderpoort Block C0 bus 201
 * Gaston Crommenlaan 8
 * B-9050 Ghent
 * Belgium
 * E-mail: Femke.Ongenae@intec.ugent.be
 * E-mail: Stijn.Verstichel@intec.ugent.be
 * 
 */

package otagen.datatypes;

import com.hp.hpl.jena.ontology.OntClass;
import com.hp.hpl.jena.ontology.OntProperty;
import com.hp.hpl.jena.ontology.OntResource;

/**
 * @author Femke Ongenae.
 * @author Stijn Verstichel.
 */
public class RelationCount {
    
    private OntClass domain = null;
    private OntClass range = null;
    private OntResource rangeR = null;
    private OntProperty property = null;
    private int count = 0;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public OntClass getDomain() {
        return domain;
    }

    public void setDomain(OntClass domain) {
        this.domain = domain;
    }

    public OntProperty getProperty() {
        return property;
    }

    public void setProperty(OntProperty property) {
        this.property = property;
    }

    public OntClass getRange() {
        return range;
    }

    public void setRange(OntClass range) {
        this.range = range;
    }

    public OntResource getRangeR() {
        return rangeR;
    }

    public void setRangeR(OntResource rangeR) {
        this.rangeR = rangeR;
    }

    @Override
    public String toString() {
        return this.getDomain() + " - " + this.getRange() + " - " + this.getProperty();
    }
}
