/*
 * Copyright 2008-2011 Femke Ongenae, Stijn Verstichel
 * distributed under the terms of the AGPL License
 * 
 * This file is part of OTAGen.
 * 
 * OTAGen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Femke Ongenae & Stijn Verstichel
 * Ghent University - INTEC - IBCN
 * Zuiderpoort Block C0 bus 201
 * Gaston Crommenlaan 8
 * B-9050 Ghent
 * Belgium
 * E-mail: Femke.Ongenae@intec.ugent.be
 * E-mail: Stijn.Verstichel@intec.ugent.be
 * 
 */

package otagen.feedback;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

/**
 *
 * @author Femke Ongenae.
 * @author Stijn Verstichel.
 */
public class QueryInformation {
    
    private boolean debug = false;

    //Stores all generated SPARQL queries
    private Set<String> queries = null;
    
    public QueryInformation() {
        queries = new HashSet<String>();
    }
    
    public boolean addQuery(String query) {
        Iterator<String> it = queries.iterator();
        boolean exist = false;
        while (it.hasNext() && !exist) {
            if (it.next().equalsIgnoreCase(query))
                exist = true;
        }
        boolean added = false;
        if (!exist)
            added = queries.add(query);
        if (debug && added)
            System.out.println("[QUERYINFORMATION][DEBUG] Query added: \n" +
                    query + " size: " + queries.size());
        if (debug && !added)
            System.out.println("[QUERYINFORMATION][DEBUG] Query not added ! " +
                    "size: " + queries.size());
        return added;
    }

    public Set<String> getQueries() {
        return queries;
    }

    public void setQueries(Set<String> queries) {
        this.queries = queries;
    }
}
